Search devices
Searches devices under your partner account by different criteria.
Request
Query parameters
Page number of the search result. Minimum value allowed is 1.
A limit on the number of items returned. Allowed value can range between 1 and 100.
Search query string.
Enter serial numbers of devices to find. Use , as separator for multiple serial numbers.
Response
A json is returned in the response body with the following fields:
Total number of devices found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.
Returns devices found for the current page of search result.
Show child attributes
Serial number (sn) of the device.
Product code (sku) of the device.
Product name of the device.
Ref ID of the owner of the device. This value should be the Ref ID of your partner account or your children (reseller) partners.
Customer name registered for sales registration.
Associated IMEIs for the device. Empty array if the device has no IMEI.
Show child attributes
IMEI
Description of cellular module for this IMEI.
Hardware revision of the device.
Date of purchase of the device.
Date of sales registration of the device. null if no sale is registered.
Warranty expiration date of the device.
Subscription expiration date of the device. null if no subscription is purchased.
PrimeCare expiration date of the device. null if no PrimeCare is purchased.
RMA service number of the device. null if the device is not under RMA.
LAN MAC address of the device. null if the device has no LAN MAC.
Examples
Request
curl -X GET 'https://portal.peplink.com/api/e/v1/cp/devices/search?pageNum=1&pageSize=5&query=balance' \ -H 'Authorization: Bearer {token}'Response
{
"totalCount": 2,
"items": [
{
"serialNumber": "1234-1234-1234",
"productCode": "code-1",
"productName": "product-1",
"ownerAccountRefId": 12345,
"soldTo": null,
"imeis": [
{
"imei": "493678715392327",
"cellularModule": "cellular module 1"
},
{
"imei": "493678715392328",
"cellularModule": "cellular module 2"
}
],
"hardwareRevision": 1,
"purchaseDate": "2020-01-15",
"salesDate": null,
"warrantyExpirationDate": "2021-01-15",
"subscriptionExpirationDate": null,
"primecareExpirationDate": null,
"rmaServiceNumber": null,
"lanMac": "12-34-AA-BB-CC-DD"
},
{
"serialNumber": "2345-2345-2345",
"productCode": "code-2",
"productName": "product-2",
"ownerAccountRefId": 12345,
"soldTo": null,
"imeis": [],
"hardwareRevision": 1,
"purchaseDate": "2020-01-15",
"salesDate": null,
"warrantyExpirationDate": "2021-01-15",
"subscriptionExpirationDate": null,
"primecareExpirationDate": null,
"rmaServiceNumber": null,
"lanMac": "12-34-AA-BB-CC-DD"
}
]
}